Skip to content

Create or update a user preference.

PUT
/api/workspace/user-preferences
curl --request PUT \
--url https://example.com/api/workspace/user-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "Key": "example", "Category": "example", "Value": {} }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Upsert user preference request.

object
Key

Preference key.

string
nullable
Category

Preference category.

string
nullable
Value

Preference payload.

object
Examplegenerated
{
"Key": "example",
"Category": "example",
"Value": {}
}

OK

Media typeapplication/json
object
Data

User preference model.

object
Id

Preference identifier.

string
nullable
UserId

User identifier.

string
nullable
Key

Preference key.

string
nullable
Category

Preference category.

string
nullable
Value

Preference payload.

object
CreatedAt

Created timestamp.

string format: date-time
ModifiedAt

Last updated timestamp.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

User preference model.

object
Id

Preference identifier.

string
nullable
UserId

User identifier.

string
nullable
Key

Preference key.

string
nullable
Category

Preference category.

string
nullable
Value

Preference payload.

object
CreatedAt

Created timestamp.

string format: date-time
ModifiedAt

Last updated timestamp.

string format: date-time
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}